Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1201190 - Puppet classes not showing Host Group Membership when used through Config Groups
Summary: Puppet classes not showing Host Group Membership when used through Config Groups
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 09:40 UTC by Tomer Brisker
Modified: 2017-02-23 20:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 13:59:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
host group added to puppet classes (68.47 KB, image/png)
2015-05-04 11:43 UTC, Tazim Kolhar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5723 0 None None None 2016-04-22 16:49:11 UTC

Description Tomer Brisker 2015-03-12 09:40:54 UTC
Class doesn't show it's in a host group, if the class is part of a Config Group and that Config Group is used in a Host Group

Running Foreman 1.50

Comment 1 Tomer Brisker 2015-03-12 09:40:56 UTC
Created from redmine issue http://projects.theforeman.org/issues/5723

Comment 4 Tazim Kolhar 2015-04-30 09:35:58 UTC
hi

please provide verification steps

thanks

Comment 5 Tomer Brisker 2015-05-04 07:08:35 UTC
Verification steps:
1. Create puppetclass, config group and host group.
2. Assign puppetclass to config group.
3. Assign config group to host group.

Steps 2&3 should be checked both in order and in reverse order.

Expected result: puppetclass list view shows host group in the "host groups" column.

Comment 6 Tazim Kolhar 2015-05-04 11:43:04 UTC
VERIFIED:

# rpm -qa | grep foreman
puppet-foreman_scap_client-0.3.3-8.el7sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.10-1.el7sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.4-1.el7sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.8-1.el7sat.noarch
foreman-libvirt-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.12-1.el7sat.noarch
foreman-compute-1.7.2.18-1.el7sat.noarch
foreman-ovirt-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.12-1.el7sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3.4-1.el7sat.noarch
foreman-debug-1.7.2.18-1.el7sat.noarch
foreman-postgresql-1.7.2.18-1.el7sat.noarch
qe-sat6-rhel71.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel71.usersys.redhat.com-foreman-proxy-1.0-1.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el7sat.noarch
foreman-1.7.2.18-1.el7sat.noarch
foreman-gce-1.7.2.18-1.el7sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el7sat.noarch
rubygem-hammer_cli_foreman-0.1.4.10-1.el7sat.noarch
foreman-selinux-1.7.2.13-1.el7sat.noarch
foreman-vmware-1.7.2.18-1.el7sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.6-1.el7sat.noarch
foreman-proxy-1.7.2.4-1.el7sat.noarch
qe-sat6-rhel71.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
ruby193-rubygem-foreman-redhat_access-0.1.0-1.el7sat.noarch


steps:
1. Create puppetclass, config group and host group.
2. Assign puppetclass to config group.
3. Assign config group to host group.

Steps 2&3 should be checked both in order and in reverse order.

Expected result: puppetclass list view shows host group in the "host groups" column.

screenshot attached

Comment 7 Tazim Kolhar 2015-05-04 11:43:54 UTC
Created attachment 1021727 [details]
host group  added to puppet classes

Comment 8 Bryan Kearney 2015-08-11 13:24:14 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 Bryan Kearney 2015-08-12 13:59:07 UTC
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.